package es.uv.garcosda.shared;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;


public class Video implements Serializable {
		
	private static final long serialVersionUID = 1L;

	@JsonProperty("id")
	private String id;
	
	@JsonProperty("addedDate")
	private Date addedDate = new Date();
	
	@JsonProperty("description")
	private String description;
	
	@JsonProperty("title")
	private String title;
	
	@JsonProperty("userId")
	private String userId;

	
	public Video() {}
	
	public Video(String id, Date addedDate, String description, String title, String userId) {
		super();
		this.id = id;
		this.addedDate = addedDate;
		this.description = description;
		this.title = title;
		this.userId = userId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Date getAddedDate() {
		return addedDate;
	}

	public void setAddedDate(Date addedDate) {
		this.addedDate = addedDate;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	
}
